package com.fr.plugin.decision;

import com.fr.db.fun.impl.AbstractDBAccessProvider;
import com.fr.plugin.decision.dao.ExcelMngDao;
import com.fr.plugin.decision.dao.ExcelMngEntity;
import com.fr.stable.db.accessor.DBAccessor;
import com.fr.stable.db.dao.BaseDAO;
import com.fr.stable.db.dao.DAOProvider;

public class ExcelMngConfigAccessBridge extends AbstractDBAccessProvider {

    private static DBAccessor dbAccessor = null;

    public static DBAccessor getDbAccessor() {
        return dbAccessor;
    }

    @Override
    public DAOProvider[] registerDAO() {
        return new DAOProvider[]{
                new DAOProvider(){

                    @Override
                    public Class getEntityClass() {
                        return ExcelMngEntity.class;
                    }

                    @Override
                    public Class<? extends BaseDAO> getDAOClass() {
                        return ExcelMngDao.class;
                    }
                }
        };
    }

    @Override
    public void onDBAvailable(DBAccessor dbAccessor) {
        ExcelMngConfigAccessBridge.dbAccessor = dbAccessor;
    }
}
