package com.fr.plugin.decision;

import com.fr.decision.fun.HttpHandler;
import com.fr.decision.fun.impl.AbstractHttpHandlerProvider;
import com.fr.plugin.decision.http.*;

public class ExcelMngHandleBridge extends AbstractHttpHandlerProvider {
    @Override
    public HttpHandler[] registerHandlers() {
        return new HttpHandler[]{
                new AddLinkHttpHandler(),
                new DeleteLinkHttpHandle(),
                new QueryLinkHttpHandle(),
                new RenameHttpHandle(),
                new QueryTableDataHttpHandle(),
                new QueryTableColAttrHttpHandle(),
                new GetSchemaHttpHandler(),
                new IfTableExistHttpHandler(),
                new GetAllUserListHandler(),
                new GetAuthUserByLinkNameHandler(),
                new UpdateLinkAuthHandler()
        };
    }
}
