package com.fr.plugin.decision.core.action;

import com.fr.data.core.db.dialect.Dialect;
import com.fr.data.core.db.dialect.DialectFactory;
import com.fr.json.JSONObject;
import com.fr.plugin.decision.core.ExcelDmlBean;
import com.fr.plugin.decision.utils.JdbcUtils;

import java.sql.Connection;

public abstract class ExcelDmlAction {

    public Connection conn;
    public Dialect dialect;
    public ExcelDmlBean excelDmlBean;

    public ExcelDmlAction(){
    }

    public void setExcelDmlBean(ExcelDmlBean excelDmlBean) {
        this.excelDmlBean = excelDmlBean;
        this.conn = JdbcUtils.getConnection(excelDmlBean.getConnectionName());
        this.dialect = DialectFactory.generateDialect(conn);
    }

    public abstract JSONObject execute();
}
