package com.fr.plugin.decision.dialect.gauss;

import com.fr.data.core.db.dialect.GaussDBDialect;
import com.fr.data.core.db.dialect.base.DialectKeyConstants;
import com.fr.data.core.db.dialect.base.key.column.tosql.DialectColumn2SQLWithDoubleQuoteExecutor;
import com.fr.data.core.db.dialect.base.key.topn.KylinDialectCreateTOPNSQLExecutor;

public class GaussDialectConsummate extends GaussDBDialect {
    public GaussDialectConsummate(){
        super();
        this.putExecutor(DialectKeyConstants.COLUMN_2_SQL_KEY, new DialectColumn2SQLWithDoubleQuoteExecutor());
        this.putExecutor(DialectKeyConstants.COLUMN_TYPE_2_SQL_KEY, new GaussDialectColumnType2SQLExecutor());
        this.putExecutor(DialectKeyConstants.CREATE_TOP_N_SQL_KEY, new KylinDialectCreateTOPNSQLExecutor());
    }
}
