package com.fr.plugin.decision.request;

import com.fr.decision.fun.HttpHandler;
import com.fr.decision.fun.impl.AbstractHttpHandlerProvider;
import com.fr.plugin.decision.request.handler.ExcelFiledHandler;
import com.fr.plugin.decision.request.handler.ExcelSheetCountHandler;
import com.fr.plugin.decision.request.handler.HWFileUploadHander;
import com.fr.plugin.decision.request.handler.TableDataImport;

/**
 * created by ezreal 2020/1/12
 */
public class HWHandlerProvider extends AbstractHttpHandlerProvider {
    @Override
    public HttpHandler[] registerHandlers() {
        return new HttpHandler[]{
                new HWFileUploadHander(),
                new ExcelSheetCountHandler(),
                new ExcelFiledHandler(),
                new TableDataImport()
        };
    }
}
