package com.fr.plugin.decision.utils;

import com.fr.json.JSONObject;
import com.fr.third.fasterxml.jackson.databind.ObjectMapper;

import javax.servlet.http.HttpServletRequest;
import java.io.BufferedReader;
import java.io.IOException;

public class HttpUtils {
    public static  <T> T readObject(HttpServletRequest req, Class<T> cls) throws Exception {
        ObjectMapper map = new ObjectMapper();
        return map.readValue(req.getInputStream(), cls);
    }

    public static JSONObject readJson(HttpServletRequest request) throws IOException {
        BufferedReader bufferReader = new BufferedReader(request.getReader());
        StringBuilder sb = new StringBuilder();
        String line = null;
        while ((line = bufferReader.readLine()) != null) {
            sb.append(line);
        }
        return new JSONObject(sb.toString());
    }
}
