!(function () {
    var Model = BI.inherit(Fix.Model, {
        _init: function () {
            this.add = this.options.add;

        },

        state: function () {
            return {
                connectionItems: [],
                schemaItems: [],
                isSchemaLoaded: false
            };
        },

        context: [ "connection", "schema", "aliasName", "tableName"],

        actions: {
            initData: function (callback) {
                var self=this;
                Dec.Utils.getConnections(function (res) {
                    self.model.connectionItems =
                        BI.map(
                            /*// 根据驱动过滤下数据连接
                            BI.filter(res,
                                function (i,val) {
                                    var reg = RegExp('MYSQL|ORACLE|SQLSERVER|POSTGRE|SYBASE');
                                    return JSON.parse(val.connectionData).driver.toUpperCase().match(reg) != null
                                }),*/
                            res,
                            function (i,val) {
                                return BI.extend({value:"",text:""},{
                                    text  : val.connectionName,
                                    value : val.connectionName
                                })
                            });
                    callback();
                });
                //self.model.connectionItems=[{value: "zhizao", text: "制造"}, {value: "xiaoshou", text: "销售"}];
            },
            setConnection:function (v) {
                this.model.connection=v;
            },
            setSchema:function (v) {
                this.model.schema=v;
            },
            setSchemaLoaded:function (v) {
                this.model.isSchemaLoaded=v;
            },
            setAliasName:function (v) {
                this.model.aliasName=v;
            },
            setTableName:function (v) {
                this.model.tableName=v;
            },
            getSchemaItems:function (v) {
                var self = this;
                self.setSchemaLoaded(false);
                Dec.reqGet(
                    "/url/excelmng/getSchema?connectionName=" + v,
                    null,null,
                    function (e) {
                        self.model.schemaItems = e.data;
                        self.setSchemaLoaded(true);
                    }
                )
            }
        }
    });
    BI.model("dec.hw.table.attr.model", Model);
})();
