;!(function () {
    var commPath = Dec.fineServletURL + "/file?path=/com/fr/plugin/hw/decision/js";

    BI.$import(commPath + "/utils.js");
    BI.$import(commPath + "/table.info.js");
    BI.$import(commPath + "/table.info.model.js");
    BI.$import(commPath + "/hw.table.add.pop.js");
    BI.$import(commPath + "/hw.table.add.pop.model.js");

    BI.$import(commPath + "/attr/table.attr.js");
    BI.$import(commPath + "/attr/table.attr.model.js");
    BI.$import(commPath + "/attr/col.attr.js");
    BI.$import(commPath + "/attr/col.attr.model.js");
    BI.$import(commPath + "/attr/sheet.masker.js");
    BI.$import(commPath + "/attr/td.widget.js");

    BI.$import(commPath + "/pane/panes.js");
    BI.$import(commPath + "/pane/panes.model.js");
    BI.$import(commPath + "/pane/dec.hw.excel.export.pane.js");
    BI.$import(commPath + "/pane/dec.hw.excel.export.pane.model.js");
    BI.$import(commPath + "/pane/left.js");
    BI.$import(commPath + "/pane/left.model.js");
    BI.$import(commPath + "/pane/left.linklist.item.js");
    BI.$import(commPath + "/pane/left.linklist.item.model.js");
    BI.$import(commPath + "/pane/left.linklist.js");
    BI.$import(commPath + "/pane/left.linklist.model.js");
    BI.$import(commPath + "/pane/right.js");
    BI.$import(commPath + "/pane/right.model.js");
    BI.$import(commPath + "/pane/right.table.js");
    BI.$import(commPath + "/pane/right.table.model.js");
    BI.$import(commPath + "/pane/dec.page.table.plugin.js");

    BI.$import(commPath + "/pane/authPane/auth.pane.js");
    BI.$import(commPath + "/pane/authPane/auth.pane.model.js");
    BI.$import(commPath + "/pane/authPane/auth.pane.right.js");
    BI.$import(commPath + "/pane/authPane/auth.pane.right.model.js");


    BI.config("dec.constant.management.navigation", function (items) {
        items.push({
            value: "hw", // 地址栏显示的hash值
            id: "fanruan-hw-excecl", // id
            text: "Excel导入", // 文字
            //cardType: "dec.mng.excelExportPane",
            cardType: "dec.mng.panes",
            cls: "dir-font-20" // 图标类名
        });
        return items;
    });

    /**
     * 管理项
     */
    BI.constant("dec.hw.col.type", [
        {value: "2", text: "整数"},
        {value: "3", text: "小数"},
        {value: "12", text: "文本"},
        {value: "16", text: "布尔"},
        {value: "91", text: "日期"}
    ]);

    BI.constant("dec.hw.col.type.int", [2, 4, 8]);
    BI.constant("dec.hw.col.type.str", [1, 12]);
    BI.constant("dec.hw.col.type.bool", [-7, 16]);
    BI.constant("dec.hw.col.type.date", [91, 93]);

    BI.hwColTypeDeal = function(data){
        BI.each(data, function (index, val) {
            if (BI.contains(BI.Constants.getConstant("dec.hw.col.type.int"), val.colType)) {
                val.colType = 32;
            } else if (BI.contains(BI.Constants.getConstant("dec.hw.col.type.str"), val.colType)) {
                val.colType = 16;
            } else if (BI.contains(BI.Constants.getConstant("dec.hw.col.type.date"), val.colType)) {
                val.colType = 48;
            }
        });
        return data;
    };

    BI.hwfield2ColTypeDeal = function(data){
        BI.each(data, function (index, val) {
            if (val.colType === 16) {
                val.colType = "12";
            } else if (val.colType === 32) {
                val.colType = "8";
            } else if (val.colType === 48) {
                val.colType = "91";
            }
        });
        return data;
    };

    /**
     * tab项
     */
    BI.constant("dec.hw.constant.tabs", [
        {value: "export", text: "Excel数据管理"},
        {value: "auth", text: "Excel权限管理"}
    ]);
})();