!(function () {
    var panes = BI.inherit(BI.Widget, {
        props: {
            baseCls: ""
        },
        _store: function () {
            return BI.Models.getModel("dec.model.mng.panes");
        },
        watch:{
            activeTab:function(v){
                this.tab.setSelect(v);
            }
        },
        render: function () {
            var self = this, o = this.options;
            return {
                type: "bi.vertical",
                items: [{
                    type: "bi.htape",
                    cls: "bi-card bi-border-bottom",
                    items: [{
                        el: {
                            type: "dec.line_segment",
                            cls: "dec-font-weight-bold",
                            layouts: [{
                                type: "bi.vertical_adapt"
                            }],
                            items: BI.map(BI.Constants.getConstant("dec.hw.constant.tabs"), function(e, t) {
                                return BI.extend({
                                    type: "dec.line_segment_button",
                                    hgap: 15
                                }, t)
                            }),
                            value: "export",
                            height: 40,
                            listeners: [{
                                eventName: "EVENT_CHANGE",
                                action: function(e) {
                                    self.store.setSelect(e);
                                }
                            }]
                        },
                        lgap: 10
                    }],
                    height: 40
                }, {
                    type: "bi.tab",
                    ref: function(_ref) {
                        self.tab = _ref;
                    },
                    height: "95%",
                    showIndex: "export",
                    cardCreator: function(v) {
                        switch (v) {
                            case "export":
                                return {
                                    type: "dec.mng.excelExportPane"
                                };
                            case "auth":
                                return {
                                    type: "dec.mng.authPane"
                                };
                        }
                    }
                }]
            }
        }
    });
    BI.shortcut("dec.mng.panes", panes);
})();