package com.fr.plugin.decision;

import com.fr.decision.fun.impl.AbstractURLAliasProvider;
import com.fr.decision.webservice.url.alias.URLAlias;
import com.fr.decision.webservice.url.alias.URLAliasFactory;

public class ExcelMngAliasBridge extends AbstractURLAliasProvider {
    @Override
    public URLAlias[] registerAlias() {
        return new URLAlias[]{
                URLAliasFactory.createPluginAlias("/excelmng/addlink","/excelmng/addlink",false),
                URLAliasFactory.createPluginAlias("/excelmng/delete","/excelmng/delete",false),
                URLAliasFactory.createPluginAlias("/excelmng/querylink","/excelmng/querylink",false),
                URLAliasFactory.createPluginAlias("/excelmng/rename","/excelmng/rename",false),
                URLAliasFactory.createPluginAlias("/excelmng/querydata","/excelmng/querydata",false),
                URLAliasFactory.createPluginAlias("/excelmng/querycolattr","/excelmng/querycolattr",false),
                URLAliasFactory.createPluginAlias("/excelmng/getSchema","/excelmng/getSchema",false),
                URLAliasFactory.createPluginAlias("/excelmng/iftableexist","/excelmng/iftableexist",false),
                URLAliasFactory.createPluginAlias("/excelmng/getAllUserList","/excelmng/getAllUserList",false),
                URLAliasFactory.createPluginAlias("/excelmng/getAuthUserList","/excelmng/getAuthUserList",false),
                URLAliasFactory.createPluginAlias("/excelmng/updateLinkAuth","/excelmng/updateLinkAuth",false)
        };
    }
}
