package com.fr.plugin.decision;

import com.fr.decision.fun.impl.AbstractSystemOptionProvider;
import com.fr.decision.web.MainComponent;
import com.fr.plugin.transform.FunctionRecorder;
import com.fr.web.struct.Atom;

/**
 * created by ezreal 2020/1/9
 */
@FunctionRecorder
public class HWOptionProvider extends AbstractSystemOptionProvider {
    @Override
    public String id() {
        return "fanruan-hw-excecl";
    }

    @Override
    public String displayName() {
        return "Excel导入";
    }

    @Override
    public int sortIndex() {
        return 3;
    }

    @Override
    public Atom attach() {
        return MainComponent.KEY;
    }

    @Override
    public Atom client() {
        return HWComponent.KEY;
    }
}
