package com.fr.plugin.decision.dialect.hive;

import com.fr.data.core.db.dialect.HiveDialect;
import com.fr.data.core.db.dialect.base.DialectKeyConstants;
import com.fr.data.core.db.dialect.base.key.column.tosql.DialectColumn2SQLWithBackQuoteExecutor;
import com.fr.data.core.db.dialect.base.key.init.column.DialectInitColumnUnSupportNullExecutor;
import com.fr.data.core.db.dialect.base.key.topn.KylinDialectCreateTOPNSQLExecutor;

public class HiveDialectConsummate extends HiveDialect {
    public HiveDialectConsummate(){
        super();
        this.putExecutor(DialectKeyConstants.COLUMN_2_SQL_KEY, new DialectColumn2SQLWithBackQuoteExecutor());
        this.putExecutor(DialectKeyConstants.COLUMN_TYPE_2_SQL_KEY, new HiveDialectColumnType2SQLExecutor());
        this.putExecutor(DialectKeyConstants.CREATE_TOP_N_SQL_KEY, new KylinDialectCreateTOPNSQLExecutor());
        this.putExecutor(DialectKeyConstants.INIT_COLUMN_KEY, new DialectInitColumnUnSupportNullExecutor());
    }
}
