package com.fr.plugin.decision.http;

import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.json.JSONObject;
import com.fr.plugin.decision.dao.ReuseService;
import com.fr.plugin.decision.utils.HttpUtils;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class UpdateLinkAuthHandler extends BaseHttpHandler {
    @Override
    public RequestMethod getMethod() {
        return null;
    }

    @Override
    public String getPath() {
        return "/excelmng/updateLinkAuth";
    }

    @Override
    public boolean isPublic() {
        return false;
    }

    @Override
    public void handle(HttpServletRequest req, HttpServletResponse res) throws Exception {
        JSONObject para = HttpUtils.readJson(req);
        boolean isAdd = para.getBoolean("auth");
        if (isAdd) {
            ReuseService.getInstance().addUserOnLinkName(para.getString("userName"), para.getString("linkName"));
        } else {
            ReuseService.getInstance().deleteUserOnLinkName(para.getString("userName"), para.getString("linkName"));
        }

        WebUtils.printAsJSON(res, new JSONObject().put("status","success"));
    }
}
