package com.fr.plugin.decision.request;

import com.fr.decision.fun.impl.AbstractURLAliasProvider;
import com.fr.decision.webservice.url.alias.URLAlias;
import com.fr.decision.webservice.url.alias.URLAliasFactory;
import com.fr.plugin.decision.request.handler.ExcelFiledHandler;
import com.fr.plugin.decision.request.handler.ExcelSheetCountHandler;
import com.fr.plugin.decision.request.handler.HWFileUploadHander;
import com.fr.plugin.decision.request.handler.TableDataImport;

/**
 * created by ezreal 2020/1/12
 */
public class HWURLAliasProvider extends AbstractURLAliasProvider {
    @Override
    public URLAlias[] registerAlias() {
        return new URLAlias[]{
                URLAliasFactory.createPluginAlias(HWFileUploadHander.PATH, HWFileUploadHander.PATH,true),
                URLAliasFactory.createPluginAlias(ExcelSheetCountHandler.PATH,ExcelSheetCountHandler.PATH,false),
                URLAliasFactory.createPluginAlias(ExcelFiledHandler.PATH,ExcelFiledHandler.PATH,false),
                URLAliasFactory.createPluginAlias(TableDataImport.PATH,TableDataImport.PATH,false),


        };
    }
}
