package com.fr.plugin.decision.request.handler;

import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.decision.webservice.v10.attach.AttachmentService;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * created by ezreal 2020/1/12
 */
public class HWFileUploadHander extends BaseHttpHandler {
    public static final String PATH = "/hw/file/upload";

    @Override
    public RequestMethod getMethod() {
        return null;
    }

    @Override
    public String getPath() {
        return PATH;
    }

    @Override
    public boolean isPublic() {
        return true;
    }

    @Override
    public void handle(HttpServletRequest req, HttpServletResponse res) throws Exception {
        int width = WebUtils.getHTTPRequestIntParameter(req, "width");
        int height = WebUtils.getHTTPRequestIntParameter(req, "height");
        String fileName = WebUtils.getHTTPRequestParameter(req, "filename");
        AttachmentService.getInstance().uploadAttach(req, res, width, height, fileName);

    }
}
