/**
 * 用于测试上传，上传文件等，从上传中到成功或者失败的状态
 * qcc
 * 2018/3/28
 */

!(function () {
    var Masker = BI.inherit(BI.Widget, {
        props: {
            baseCls: "dec-status-change-masker",
            $testId: "dec-status-change-masker",
            waitingText: BI.i18nText("Dec-Reg_Upload_Waiting"),
            successText: BI.i18nText("Dec-Reg_Upload_Success"),
            failText: BI.i18nText("Dec-Reg_Upload_Fail")
        },


        watch: {},

        render: function () {
            var self = this, o = this.options;
            return {
                type: "bi.center_adapt",
                cls: "bi-z-index-mask",
                items: [{
                    type: "bi.center_adapt",
                    items: [{
                        type: "bi.absolute",
                        width: 300,
                        height: 150,
                        cls: "bi-card",
                        items: [{
                            el: {
                                type: "bi.vtape",
                                items: [{
                                    el: {
                                        type: "bi.vertical_adapt",
                                        items: [{
                                            type: "bi.label",
                                            textAlign: "right",
                                            cls: "dec-font-weight-bold",
                                            text: "选择sheet:",
                                            width: 60
                                        }, {
                                            el: {
                                                type: "bi.text_value_combo",
                                                lgap: 4,
                                                cls: "bi-border",
                                                textAlign: "left",
                                                //   value: o.info.subjectType,
                                                items: o.items,
                                                //   items: self.model.typeItems,
                                                width: 200,
                                                height: 22,
                                                ref: function (_ref) {
                                                    self.sheet = _ref;
                                                },
                                                listeners: [
                                                    {
                                                        eventName: "EVENT_CHANGE",
                                                        action: function () {
                                                        }
                                                    }
                                                ]
                                            },
                                            lgap: 10
                                        }]
                                    }
                                }, {
                                    el: {
                                        type: "bi.right_vertical_adapt",
                                        lgap: 10,
                                        items: [{
                                            type: "bi.button",
                                            ref: function (_ref) {

                                            },
                                            text: "确定",
                                            height: 24,
                                            handler: function () {
                                                var value = self.sheet.getValue();
                                                if (BI.isEmptyArray(value)) {
                                                    BI.Msg.toast("先选择sheet");
                                                    return;
                                                }
                                                self.options.onClickConfirm(value[0], function (result) {
                                                    if (result) {
                                                        BI.Msg.toast("成功");
                                                        self.close()
                                                    } else {
                                                        BI.Msg.toast("失败");
                                                    }

                                                })

                                            }

                                        }, {
                                            type: "bi.button",
                                            ref: function (_ref) {

                                            },
                                            text: "取消",
                                            height: 24,
                                            level: "ignore",
                                            handler: function () {
                                                self.close();
                                            }

                                        }]
                                    }, height: 44
                                }]
                            },
                            top: 40, left: 10, bottom: 0, right: 10
                        }]
                    }]
                }]

            };
        },
        close: function () {
            this.fireEvent("EVENT_CLOSE");
        }

    });
    BI.shortcut("dec.hw.sheet.select", Masker);
})();